%define dist .el5

Name:			clamav
Summary:		An anti-virus utility for Unix.
Version:		0.96.5
Release:		1%{dist}
Source0:		%{name}-%{version}.tar.gz
Source1:		freshclam.init
Source2:		clamd.init.bz2
Source3:		freshclam.conf
URL:			http://clamav.elektrapro.com/
License:		GPL
Group:			Applications/System
Requires:		%{name}-db = %{version}-%{release}
Obsoletes:		lib%{name} = 0.60
Provides:		lib%{name}
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		zlib, zlib-devel 
BuildRequires:		bzip2-devel
BuildRequires:		sendmail-devel

%description 
Clam Antivirus is a powerful anti-virus scanner for Unix. It
supports AMaViS, compressed files, uses the virus database from
OpenAntivirus.org, and includes a program for auto-updating.

The scanner is multithreaded, written in C, and POSIX compliant. 

%package -n		clamd
Summary:		The Clam AntiVirus Daemon
Group:			System Environment/Daemons
License: 		GPL
Requires:		%{name} = %{version}-%{release}
Requires:		%{name}-db = %{version}-%{release}

%description -n		clamd
The Clam AntiVirus Daemon

%package		db
Summary:		Virus database for %{name}
Group:			Applications/Databases
License: 		GPL

%description		db
The actual virus database for %{name}

%package devel
Summary:		Headers and static libarys for Development
Group:			Development/Libraries
License:		GPL
Requires:		%{name} = %{version}-%{release}
Obsoletes:		lib%{name}-static-devel = 0.60
Obsoletes:		lib%{name}-devel = 0.60
Provides:		lib%{name}-static-devel lib%{name}-devel

%description devel
Headers and static libarys for Development


%prep
%setup -q -n %{name}-%{version}

%build
%configure \
	--disable-zlib-vcheck \
	--disable-clamav \
	--with-user=clamav \
	--with-group=clamav \
	--with-dbdir=%{_localstatedir}/clamav  \
	--enable-milter \
	--enable-id-check
	

%{__make}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install

# move clamd in place
#install -d %{buildroot}%{_sbindir}
#mv %{buildroot}%{_bindir}/clamd %{buildroot}%{_sbindir}/clamd

# install the init script
install -d %{buildroot}%{_initrddir}
bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/clamd
chmod 755 %{buildroot}%{_initrddir}/clamd
install -m774 %{SOURCE1} %{buildroot}%{_initrddir}/freshclam

# install the config
install -m644 etc/clamd.conf %{buildroot}%{_sysconfdir}/clamd.conf
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/freshclam.conf

#creating pid file dir
install -d %{buildroot}/var/run/clamav

%pre -n clamd
/usr/sbin/groupadd -r clamav 2>/dev/null || :
/usr/sbin/useradd -r -d /var/clamav  -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || :

%post -n clamd
if [ $1 = 1 ]; then /sbin/chkconfig --add clamd; else if [ -f /var/lock/subsys/clamd ]; then service clamd restart > /dev/null 2>/dev/null || : ; fi; fi;
if [ $1 = 1 ]; then /sbin/chkconfig --add freshclam; fi

%preun -n clamd
if [ $1 = 0 ]; then service clamd stop > /dev/null 2>/dev/null || :; /sbin/chkconfig --del clamd; fi;
if [ $1 = 0 ]; then service freshclam stop > /dev/null 2>/dev/null || :; /sbin/chkconfig --del freshclam; fi;

%pre -n %{name}-db
/usr/sbin/groupadd -r clamav 2>/dev/null || :
/usr/sbin/useradd -r -d /var/clamav  -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || : 

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%post -n %{name}-devel -p /sbin/ldconfig
%postun -n %{name}-devel -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README COPYING
%doc docs/clamav-mirror-howto.pdf docs/clamdoc.pdf docs/signatures.pdf
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_bindir}/clamav-config
%{_bindir}/clamconf
%{_mandir}/man1/sigtool.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/clamconf.1*
%{_mandir}/man1/freshclam.1*
%{_libdir}/pkgconfig/libclamav.pc

%files -n clamd
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0755,root,root) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_bindir}/clamdscan
%{_bindir}/clambc
%{_mandir}/man5/clamd.conf.5*
%{_mandir}/man5/freshclam.conf.5*
%{_mandir}/man8/clamd.8*
%{_mandir}/man1/clamdscan.1*
%{_mandir}/man1/clamdtop.1*
%{_mandir}/man5/clamav-milter*
%{_mandir}/man8/clamav-milter*
/var/clamav/daily.cvd
/var/clamav/main.cvd
/etc/freshclam.conf
/etc/clamav-milter.conf
%config(noreplace)/etc/rc.d/init.d/freshclam
/usr/sbin/clamav-milter

%{_libdir}/*.so.*
%dir %attr(0755,clamav,clamav) /var/run/clamav
%dir %attr(0755,clamav,clamav) %{_localstatedir}/clamav

%files -n %{name}-db
%defattr(-,root,root)
%dir %attr(0755,clamav,clamav) %{_localstatedir}/clamav
#%attr(0644,clamav,clamav) %config(noreplace) %{_localstatedir}/clamav/viruses.db*

%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sun Jun 22 2003 Che
- version upgrade

* Mon Jun 16 2003 Che
- rh9 build
- various fixes
- got rid of rpm-helper prereq

* Fri Mar 24 2003 Che
- some cleanups and fixes
- new patch added

* Fri Nov 22 2002 Che
- fixed a config patch issue

* Fri Nov 22 2002 Che
- version upgrade and some fixes

* Sat Nov 02 2002 Che
- version upgrade

* Wed Oct 24 2002 Che
- some important changes for lsb compliance

* Wed Oct 23 2002 Che
- initial rpm release
